# Filename: pl_change_xyz.py
# Purpose: Get the change in x/y/z directions between the start and end points of a polyline.
# Returns: Point.

from maptek import vulcan_gui

# use dynamic selection to select correct object
sel = vulcan_gui.selection("Select layer object.")
sel.criteria = ["LINE", "POLYGON"]  # limit selection to a polyline object
sel.single_object = True  # prevents selection prompt from asking more than once

for obj in sel:
    obj_name = obj.get_name()  # get name of object
    
    change = obj.change_xyz()  # get the change 

    sel.replace(obj)  # replaces the old object and preserves changes
    print(f"{obj_name}: Change in x,y,z: {change}")